## kodi-pvr-zattoo 19.7.3+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.zattoo)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(PkgConfig)
find_package(Kodi REQUIRED)
find_package(RapidJSON 1.0.2 REQUIRED)
find_package(TinyXML2 REQUIRED)

include_directories(${KODI_INCLUDE_DIR}
                    ${RAPIDJSON_INCLUDE_DIRS}
                    ${TINYXML2_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}/lib
)

add_subdirectory(lib/sqlite)

set(DEPLIBS ${TINYXML2_LIBRARIES} sqlite
)

set(ZATTOO_SOURCES
    src/sql/SQLConnection.cpp
    src/sql/EpgDB.cpp
    src/sql/RecordingsDB.cpp
    src/sql/ParameterDB.cpp
    src/http/Curl.cpp
    src/http/Cache.cpp
    src/http/HttpClient.cpp
    src/epg/EpgProvider.cpp
    src/epg/ZattooEpgProvider.cpp
    src/epg/EnhancedEpgProvider.cpp
    src/Utils.cpp
    src/client.cpp
    src/Settings.cpp
    src/ZatData.cpp
    src/UpdateThread.cpp
    src/categories.cpp
    src/md5.cpp
)

set(ZATTOO_HEADERS
    src/sql/SQLConnection.h
    src/sql/EpgDB.h
    src/sql/RecordingsDB.h
    src/sql/ParameterDB.h
    src/http/Curl.h
    src/http/Cache.h
    src/http/HttpClient.h
    src/epg/EpgProvider.h
    src/epg/ZattooEpgProvider.h
    src/epg/EnhancedEpgProvider.h
    src/UpdateThread.h
    src/Settings.h
    src/Utils.h
    src/ZatChannel.h
    src/ZatData.h
    src/categories.h
    src/client.h
    src/windows.h
    src/md5.h
    src/to_string.h
)

if(WIN32)
  list(APPEND DEPLIBS ws2_32)
endif()

if ( CMAKE_COMPILER_IS_GNUCC )
  set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -Wall")
endif ( CMAKE_COMPILER_IS_GNUCC )
if ( MSVC )
  set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /W4")
endif ( MSVC )

addon_version(pvr.zattoo ZATTOO)
set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DZATTOO_VERSION=${ZATTOO_VERSION} -DKODI_VERSION=${kodiplatform_VERSION}")

build_addon(pvr.zattoo ZATTOO DEPLIBS)

set_target_properties(pvr.zattoo PROPERTIES CXX_VISIBILITY_PRESET internal
                                            C_VISIBILITY_PRESET internal
                                            VISIBLITY_INLINES_HIDDEN ON)

include(CPack)

=== debian/changelog ===
kodi-pvr-zattoo (19.7.3+ds1-1) unstable; urgency=medium

  * New upstream version 19.7.3+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 01 Mar 2021 05:38:48 +0000

kodi-pvr-zattoo (19.7.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.7.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 18 Feb 2021 23:40:07 +0000

kodi-pvr-zattoo (19.6.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.6.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:09 +0000

kodi-pvr-zattoo (19.5.1+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 06:22:42 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.zattoo/releases \
/rbuehlma/pvr.zattoo/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-zattoo 19.7.9%2Bds1

=== debian/changelog ===
kodi-pvr-zattoo (19.7.9+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:29:04 +0200

kodi-pvr-zattoo (19.7.9+ds1-1) unstable; urgency=medium

  * New upstream version 19.7.9+ds1
  * Fix github ref

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 16 May 2021 14:07:45 +0000

## kodi-pvr-zattoo 19.7.9+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
     src/http/HttpClient.cpp
     src/epg/EpgProvider.cpp
     src/epg/ZattooEpgProvider.cpp
-    src/epg/EnhancedEpgProvider.cpp
     src/Utils.cpp
     src/client.cpp
     src/Settings.cpp
@@ -49,7 +48,6 @@
     src/http/HttpClient.h
     src/epg/EpgProvider.h
     src/epg/ZattooEpgProvider.h
-    src/epg/EnhancedEpgProvider.h
     src/UpdateThread.h
     src/Settings.h
     src/Utils.h

=== debian/changelog ===
kodi-pvr-zattoo (19.7.9+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:42:08 -0700

=== debian/control ===
Source: kodi-pvr-zattoo
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libtinyxml2-dev,
                    pkg-config,
                    rapidjson-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo.git
Homepage: https://kodi.tv

Package: kodi-pvr-zattoo
Architecture: any
Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: Zattoo PVR for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a PVR addon for Zattoo

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

override_dh_auto_install:
	dh_auto_install
	rm -f debian/kodi-pvr-zattoo/usr/share/kodi/addons/pvr.zattoo/LICENSE.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kodi-pvr-zattoo 19.7.10+ds1

=== debian/changelog ===
kodi-pvr-zattoo (19.7.10+ds1-2) unstable; urgency=medium

  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:27 +0000

kodi-pvr-zattoo (19.7.10+ds1-1) unstable; urgency=medium

  * New upstream version 19.7.10+ds1
  * Bump standard version

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Aug 2021 14:56:12 +0000

kodi-pvr-zattoo (19.7.9+ds1-2) unstable; urgency=medium

  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:39:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kodi-pvr-zattoo
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libtinyxml2-dev,
-                    pkg-config,
-                    rapidjson-dev
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+               cmake,
+               kodi-addons-dev (>= 2:19~),
+               libtinyxml2-dev,
+               pkg-config,
+               rapidjson-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo.git
@@ -19,7 +18,9 @@
 
 Package: kodi-pvr-zattoo
 Architecture: any
-Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: Zattoo PVR for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,8 @@
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
+            -DUSE_LTO=0
 
 override_dh_auto_install:
 	dh_auto_install
 	rm -f debian/kodi-pvr-zattoo/usr/share/kodi/addons/pvr.zattoo/LICENSE.txt
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.zattoo/releases \
/rbuehlma/pvr.zattoo/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-zattoo 19.7.13%2Bds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,9 +30,9 @@
     src/epg/EpgProvider.cpp
     src/epg/ZattooEpgProvider.cpp
     src/Utils.cpp
-    src/client.cpp
     src/Settings.cpp
     src/ZatData.cpp
+    src/Session.cpp
     src/UpdateThread.cpp
     src/categories.cpp
     src/md5.cpp
@@ -53,8 +53,8 @@
     src/Utils.h
     src/ZatChannel.h
     src/ZatData.h
+    src/Session.h
     src/categories.h
-    src/client.h
     src/windows.h
     src/md5.h
     src/to_string.h
@@ -72,7 +72,7 @@
 endif ( MSVC )
 
 addon_version(pvr.zattoo ZATTOO)
-set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DZATTOO_VERSION=${ZATTOO_VERSION} -DKODI_VERSION=${kodiplatform_VERSION}")
+set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DZATTOO_VERSION=${ZATTOO_VERSION} -DKODI_VERSION=${APP_VERSION_CODE}")
 
 build_addon(pvr.zattoo ZATTOO DEPLIBS)

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libtinyxml2-dev,
                pkg-config,
                rapidjson-dev

## kodi-pvr-zattoo 19.7.13+ds1

=== debian/changelog ===
kodi-pvr-zattoo (19.7.13+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:13 +0000

kodi-pvr-zattoo (19.7.13+ds1-1) unstable; urgency=medium

  * New upstream version 19.7.13+ds1
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Apr 2022 08:52:58 +0000

kodi-pvr-zattoo (19.7.11+ds1-1) unstable; urgency=medium

  * New upstream version 19.7.11+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:57 +0000

## kodi-pvr-zattoo 20.2.1+ds1

=== debian/changelog ===
kodi-pvr-zattoo (20.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.1+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:59 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libtinyxml2-dev,
                pkg-config,
                rapidjson-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.zattoo/releases \
/rbuehlma/pvr.zattoo/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-zattoo 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-zattoo (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1

  [ Vasyl Gello ]
  * Fix lintian warnings
  * d/watch: switch to git tags
  * Add libsqlite3-dev as build dependency

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:25 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
+               libsqlite3-dev,
                libtinyxml2-dev,
                pkg-config,
                rapidjson-dev

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.zattoo \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-zattoo 20.3.3+ds

=== debian/changelog ===
kodi-pvr-zattoo (20.3.3+ds-1) unstable; urgency=medium

  * New upstream version 20.3.3+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 22 Jan 2023 14:45:28 +0000

kodi-pvr-zattoo (20.3.1+ds-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 05 Jan 2023 12:04:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libtinyxml2-dev,
                pkg-config,
                rapidjson-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo.git

## kodi-pvr-zattoo 20.3.14%2Bds

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/rbuehlma/pvr.zattoo \

## kodi-pvr-zattoo 20.3.14+ds

=== debian/changelog ===
kodi-pvr-zattoo (20.3.14+ds-1) unstable; urgency=medium

  * New upstream version 20.3.14+ds
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:41:09 +0000

## kodi-pvr-zattoo 21.0.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,18 +6,17 @@
 find_package(PkgConfig)
 find_package(Kodi REQUIRED)
 find_package(RapidJSON 1.0.2 REQUIRED)
+find_package(Sqlite3 REQUIRED)
 find_package(TinyXML2 REQUIRED)
 
 include_directories(${KODI_INCLUDE_DIR}
                     ${RAPIDJSON_INCLUDE_DIRS}
+                    ${SQLITE3_INCLUDE_DIRS}
                     ${TINYXML2_INCLUDE_DIRS}
-                    ${PROJECT_SOURCE_DIR}/lib
 )
 
-add_subdirectory(lib/sqlite)
-
-set(DEPLIBS ${TINYXML2_LIBRARIES} sqlite
-)
+set(DEPLIBS ${SQLITE3_LIBRARIES}
+            ${TINYXML2_LIBRARIES})
 
 set(ZATTOO_SOURCES
     src/sql/SQLConnection.cpp

=== debian/changelog ===
kodi-pvr-zattoo (21.0.4+ds-3) unstable; urgency=high

  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:48 +0000

kodi-pvr-zattoo (21.0.4+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:39 +0000

kodi-pvr-zattoo (21.0.4+ds-1) unstable; urgency=medium

  * New upstream version 21.0.4+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 06:02:52 +0000

kodi-pvr-zattoo (21.0.3+ds-1) unstable; urgency=medium

  * New upstream version 21.0.3+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:58:03 +0000

kodi-pvr-zattoo (21.0.1+ds-1) experimental; urgency=medium

  * New upstream version 21.0.1+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.1+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:57 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libsqlite3-dev,
                libtinyxml2-dev,
                pkg-config,
                rapidjson-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-zattoo.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-zattoo

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
+	# warning triggered by dh_configure unnecessarily overriding
+	# install directory
+	# -DUSE_LTO=0 disables LTO and makes build reproducible
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
-            -DOVERRIDE_PATHS=1 \
             -DUSE_LTO=0
 
 override_dh_auto_install:

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.zattoo \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
